org.jboss.netty.handler.codec.serialization

## Class ClassResolvers

- java.lang.Object
- - org.jboss.netty.handler.codec.serialization.ClassResolvers

-     public final class ClassResolvers
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClassResolver` | `cacheDisabled(ClassLoader classLoader)` cache disabled
    `static ClassResolver` | `softCachingConcurrentResolver(ClassLoader classLoader)` agressive concurrent cache good for shared cache, when we're not worried about class unloading
    `static ClassResolver` | `softCachingResolver(ClassLoader classLoader)` agressive non-concurrent cache good for non-shared cache, when we're not worried about class unloading
    `static ClassResolver` | `weakCachingConcurrentResolver(ClassLoader classLoader)` non-agressive concurrent cache good for shared cache, when we're worried about class unloading
    `static ClassResolver` | `weakCachingResolver(ClassLoader classLoader)` non-agressive non-concurrent cache good for non-shared default cache

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### cacheDisabled

          public static ClassResolver cacheDisabled(ClassLoader classLoader)

      cache disabled
      Parameters:
        `classLoader` - - specific classLoader to use, or null if you want to revert to default
      Returns:
        new instance of class resolver

    - #### weakCachingResolver

          public static ClassResolver weakCachingResolver(ClassLoader classLoader)

      non-agressive non-concurrent cache good for non-shared default cache
      Parameters:
        `classLoader` - - specific classLoader to use, or null if you want to revert to default
      Returns:
        new instance of class resolver

    - #### softCachingResolver

          public static ClassResolver softCachingResolver(ClassLoader classLoader)

      agressive non-concurrent cache good for non-shared cache, when we're not worried about class unloading
      Parameters:
        `classLoader` - - specific classLoader to use, or null if you want to revert to default
      Returns:
        new instance of class resolver

    - #### weakCachingConcurrentResolver

          public static ClassResolver weakCachingConcurrentResolver(ClassLoader classLoader)

      non-agressive concurrent cache good for shared cache, when we're worried about class unloading
      Parameters:
        `classLoader` - - specific classLoader to use, or null if you want to revert to default
      Returns:
        new instance of class resolver

    - #### softCachingConcurrentResolver

          public static ClassResolver softCachingConcurrentResolver(ClassLoader classLoader)

      agressive concurrent cache good for shared cache, when we're not worried about class unloading
      Parameters:
        `classLoader` - - specific classLoader to use, or null if you want to revert to default
      Returns:
        new instance of class resolver

Copyright © 2008-2012 The Netty Project. All Rights Reserved.